//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tReportSettings complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tReportSettings"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceSettings"&gt;
 *       &lt;attribute name="rptID" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="optFields" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="bufTime" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="trgOps" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="intgPd" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="resvTms" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="owner" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tReportSettings")
public class TReportSettings
    extends TServiceSettings
{

    @XmlAttribute(name = "rptID")
    protected TServiceSettingsEnum rptID;
    @XmlAttribute(name = "optFields")
    protected TServiceSettingsEnum optFields;
    @XmlAttribute(name = "bufTime")
    protected TServiceSettingsEnum bufTime;
    @XmlAttribute(name = "trgOps")
    protected TServiceSettingsEnum trgOps;
    @XmlAttribute(name = "intgPd")
    protected TServiceSettingsEnum intgPd;
    @XmlAttribute(name = "resvTms")
    protected Boolean resvTms;
    @XmlAttribute(name = "owner")
    protected Boolean owner;

    /**
     * 获取rptID属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getRptID() {
        if (rptID == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return rptID;
        }
    }

    /**
     * 设置rptID属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setRptID(TServiceSettingsEnum value) {
        this.rptID = value;
    }

    /**
     * 获取optFields属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getOptFields() {
        if (optFields == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return optFields;
        }
    }

    /**
     * 设置optFields属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setOptFields(TServiceSettingsEnum value) {
        this.optFields = value;
    }

    /**
     * 获取bufTime属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getBufTime() {
        if (bufTime == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return bufTime;
        }
    }

    /**
     * 设置bufTime属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setBufTime(TServiceSettingsEnum value) {
        this.bufTime = value;
    }

    /**
     * 获取trgOps属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getTrgOps() {
        if (trgOps == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return trgOps;
        }
    }

    /**
     * 设置trgOps属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setTrgOps(TServiceSettingsEnum value) {
        this.trgOps = value;
    }

    /**
     * 获取intgPd属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getIntgPd() {
        if (intgPd == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return intgPd;
        }
    }

    /**
     * 设置intgPd属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setIntgPd(TServiceSettingsEnum value) {
        this.intgPd = value;
    }

    /**
     * 获取resvTms属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isResvTms() {
        if (resvTms == null) {
            return false;
        } else {
            return resvTms;
        }
    }

    /**
     * 设置resvTms属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setResvTms(Boolean value) {
        this.resvTms = value;
    }

    /**
     * 获取owner属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isOwner() {
        if (owner == null) {
            return false;
        } else {
            return owner;
        }
    }

    /**
     * 设置owner属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setOwner(Boolean value) {
        this.owner = value;
    }

}
